Debian Bug report logs - #717119
jetty8: FTBFS with Java7

version graph

Package: jetty8; Maintainer for jetty8 is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for jetty8 is src:jetty8.

Reported by: Shuxiong Ye <yeshuxiong@gmail.com>

Date: Wed, 17 Jul 2013 02:15:02 UTC

Severity: serious

Found in version jetty8/8.1.3-7

Fixed in version jetty8/8.1.3-8

Done: Jakub Adam <jakub.adam@ktknet.cz>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#717119; Package jetty8. (Wed, 17 Jul 2013 02:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shuxiong Ye <yeshuxiong@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Wed, 17 Jul 2013 02:15:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Shuxiong Ye <yeshuxiong@gmail.com>
To: submit@bugs.debian.org
Subject: jetty8: FTBFS with Java7
Date: Wed, 17 Jul 2013 10:11:10 +0800
[Message part 1 (text/plain, inline)]
Package: jetty8
Version: 8.1.3-7
Severity: serious
User: ubuntu-devel@lists.ubuntu.com
Usertags: openjdk-7-transition

1560 [INFO] Building jar:
/tmp/buildd/jetty8-8.1.3/test-jetty-servlet/target/test-jetty-servlet-8.1.3.v20120416.jar
1561 [INFO]
------------------------------------------------------------------------
1562 [INFO] Building Jetty :: SPDY :: Parent
1563 [INFO]    task-segment: [package]
1564 [INFO]
------------------------------------------------------------------------
1565 [INFO]
------------------------------------------------------------------------
1566 [ERROR] BUILD ERROR
1567 [INFO]
------------------------------------------------------------------------
1568 [INFO] The plugin 'org.apache.maven.plugins:maven-enforcer-plugin'
does not exist or no valid version could be found
1569 [INFO]
------------------------------------------------------------------------
1570 [INFO] For more information, run Maven with the -e switch
1571 [INFO]
------------------------------------------------------------------------
1572 [INFO] Total time: 43 seconds
1573 [INFO] Finished at: Tue Jul 16 12:27:06 UTC 2013
1574 [INFO] Final Memory: 101M/243M
1575 [INFO]
------------------------------------------------------------------------
1576 make: *** [mvn-build] Error 1
1577 dpkg-buildpackage: error: debian/rules build gave error exit status 2


-- 
Sincerely

Shuxiong Ye

School of Electronics Engineering and Computer Science, Peking University
[Message part 2 (text/html, inline)]
[jetty8-openjdk-7-log (application/octet-stream, attachment)]

Reply sent to Jakub Adam <jakub.adam@ktknet.cz>:
You have taken responsibility. (Sat, 27 Jul 2013 18:51:13 GMT) Full text and rfc822 format available.

Notification sent to Shuxiong Ye <yeshuxiong@gmail.com>:
Bug acknowledged by developer. (Sat, 27 Jul 2013 18:51:13 GMT) Full text and rfc822 format available.

Message #10 received at 717119-close@bugs.debian.org (full text, mbox):

From: Jakub Adam <jakub.adam@ktknet.cz>
To: 717119-close@bugs.debian.org
Subject: Bug#717119: fixed in jetty8 8.1.3-8
Date: Sat, 27 Jul 2013 18:48:06 +0000
Source: jetty8
Source-Version: 8.1.3-8

We believe that the bug you reported is fixed in the latest version of
jetty8, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 717119@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jakub Adam <jakub.adam@ktknet.cz> (supplier of updated jetty8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 26 Jul 2013 19:45:24 +0200
Source: jetty8
Binary: libjetty8-java libjetty8-java-doc libjetty8-extra-java jetty8
Architecture: source all
Version: 8.1.3-8
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Jakub Adam <jakub.adam@ktknet.cz>
Description: 
 jetty8     - Java servlet engine and webserver
 libjetty8-extra-java - Java servlet engine and webserver -- extra libraries
 libjetty8-java - Java servlet engine and webserver -- core libraries
 libjetty8-java-doc - Javadoc for the Jetty API
Closes: 717119
Changes: 
 jetty8 (8.1.3-8) unstable; urgency=low
 .
   * Don't build jetty-spdy module with Java 7 (Closes: #717119).
   * Updated d/watch.
Checksums-Sha1: 
 b8a0f465118e3d723b8bea22aaab49770aa7b40f 2469 jetty8_8.1.3-8.dsc
 510ac2554b25df44d554b32b163fda4dc4be83e4 26535 jetty8_8.1.3-8.debian.tar.gz
 20746416c51bb29356d0169b3351983b25cbd617 1359886 libjetty8-java_8.1.3-8_all.deb
 296e203aee75e5ecfb395a905c2586aa82ade5dd 2171522 libjetty8-java-doc_8.1.3-8_all.deb
 2de537e02e0778de800215e1fa8831790ab3436a 364592 libjetty8-extra-java_8.1.3-8_all.deb
 4ace2f428267d3454ee2204ca4b5b19b7470f50f 536486 jetty8_8.1.3-8_all.deb
Checksums-Sha256: 
 cfb8f5d741d7dcbd1b007141739f903d3a5bcd779550e61c8cc18a779f9933a4 2469 jetty8_8.1.3-8.dsc
 8ded7754c4148cf70e68126e2208b2dc0428e80fb6b76f3380fe25a3643c4142 26535 jetty8_8.1.3-8.debian.tar.gz
 ea46b6a7407aff3f699ca6f1edac27a8e02d79b6f9ff4f30e8f71d24e4750419 1359886 libjetty8-java_8.1.3-8_all.deb
 00362c6a694e939cc52298318f8cfef0a8a2eebbe2f476e306456381d126ff26 2171522 libjetty8-java-doc_8.1.3-8_all.deb
 56d13a4ecefc182520600ba93e7fb11a53ceb772addd5189472afb746feeddaf 364592 libjetty8-extra-java_8.1.3-8_all.deb
 ba1d55b7a8a413e8f5cda30da85828985bc1e156354203d9fa15bf28558e7f07 536486 jetty8_8.1.3-8_all.deb
Files: 
 e98fc19628735387724831ce03525bf3 2469 java optional jetty8_8.1.3-8.dsc
 48ba381bff822799e40fe8e28eea1ecb 26535 java optional jetty8_8.1.3-8.debian.tar.gz
 e482ea7f87ccc5fff19952acfbc56ba2 1359886 java optional libjetty8-java_8.1.3-8_all.deb
 a107945b6bdeb2ea4c850ef6b6500993 2171522 doc optional libjetty8-java-doc_8.1.3-8_all.deb
 3ac03fce1a7ae69f5efbea104af67687 364592 java optional libjetty8-extra-java_8.1.3-8_all.deb
 0d112703b11fec4163c97a7dcdfca2ea 536486 java optional jetty8_8.1.3-8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJR9BJWAAoJECHSBYmXSz6WKLYP/i0iSKleoNq1BlASJD/RnEZ+
XP4ABoUq2y40faZ0RonYJLhik5GsXeVI4JM3iY3x/Wocyh/bOq1n+OuLGOuGuRiv
7Ugb6HbdGSSb4dvKE/K1wLRyd+aOigogHPwuBdiWZMxksJVqoRuNk4SYlP9MwbOt
dPWcFWqwAPeo186wfSn3X+PX9WD0IZJGQsVJW5ReU/DngDaX9UqoSGM1CLIpCRYg
LFhQvmYsW1C9fOL68At60s0KfSwZs3e1BxmuFWYuTRY34WyHGPENxpNU+mDyF42A
OUuq5pdhCHg6psWyztPdhNhoLyyko0LAQsPP2436CuwfOq/P19NxaDXeqJcrBDfD
Zu3czEbWbkz4gt5y/+meDWPyVzA87Qq8dYNKx9fal3PWmRk741pi0xhttsaXiyIB
yG7EV0OU9P72rrPbCRBqF+jwM5vrLWezViejY110oCtBM+dvJgF/6wRrxNbNzCc2
ljecoEIuJKH1GnSQrJIrXgEBD43rfps1PZF9EMCQI2qzIgpr03IqXds5hQhCOk0x
G2f5x0ZCwbD/IHzSpIjjER2ScpKA3GZUluJFbC9MtFk0AMPwW7fB58k+YAe5NtNd
Jopq4laXS+KUraQ497uHAQNgH6fJFkfi1KaljNZMfGALH42c6i6eyuYqZXBt2cHM
1Q3sa7dEK/14Ql7x/3hV
=/U9h
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 Sep 2013 07:27:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:46:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.